> For the complete documentation index, see [llms.txt](https://docs.load.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.load.network/load-cloud-platform-lcp/load-s3-dataitems-gateway.md).

# Load S3 DataItems Gateway

The easiest way to access Load S3 stored dataitems is the HyperBEAM gateway sidecar, that works over HTTP — endpoint: <https://gateway.s3-node-1.load.network&#x20>;

### Gateway Methods

#### Resolving public dataitem data

`GET /resolve/{dataitem_key}`

#### Downloading full dataitem object (.ans104 binary)

`GET /binary/{dataitem_key}`

For entreprise Load S3 clients, the methods above are both available under the gateway, but for the load s3-fast cluster

* `GET /resolve/fast/{dataitem_key}`
* `GET /binary/fast/{dataitem_key}`&#x20;

### Resolving Arweave Manifests (Preview)

For web apps deployed as offchain LS3 dataitems (`arweave/paths` manifest), for example using the `permaweb-deploy` cli, the LS3 gateway can properly resolve the manifests under the `/resolve/preview/{manifest_dataitem_id}` endpoint; example:&#x20;

* preview: <https://gateway.s3-node-1.load.network/resolve/preview/n8nMf7oSQgBZDEw1mCsGslsp_zAZwmCf4AgTFHSC0C0>&#x20;
* manifest json file: <https://gateway.s3-node-1.load.network/resolve/n8nMf7oSQgBZDEw1mCsGslsp_zAZwmCf4AgTFHSC0C0>

to resolve prod (Arweave settled) manifests, use the `/resolve/prod/{manifest_dataitem_id}` endpoint - this endpoint resolve anchored LS3 manifests as well as Arweave-first manifests:&#x20;

* <https://gateway.s3-node-1.load.network/resolve/prod/rquIQPiahInYInWyMACxEK4EU27VAt3FZXFPdPYI6vo>

Source code: <https://github.com/loadnetwork/load_hb/tree/s3-node-1/native/s3_nif/src/sidecar>&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.load.network/load-cloud-platform-lcp/load-s3-dataitems-gateway.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
